require "fotolia_rails/version"
require "net/http"
require "json"

module FotoliaRails
  class Base
    def initialize(api_key)
      @api_key = api_key
    end

    def search_object(id)
      uri = URI.parse("http://api.fotolia.com/Rest/1/media/getMediaData?id=#{id}")
      http = Net::HTTP.new(uri.host, uri.port)
      request = Net::HTTP::Get.new(uri.request_uri)
      request.basic_auth("#{@api_key}", "")
      response = http.request(request)
      return JSON.parse(response.body)
    end
  end
end
